## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name sgqlc
%global forgeurl https://github.com/profusion/sgqlc

Name:           python-%{pypi_name}
Version:        16.3
Release:        %{autorelease}
Summary:        Simple GraphQL Client
%forgemeta
License:        ISC
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-pytest

%global _description %{expand:
This package offers an easy to use GraphQL client.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Disable coverage and doctest
sed -i -e "s/--cov.* //g" -e "s/ --cov.*'/'/" -e "s/ --doctest.*'/'/" pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x  websocket,requests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L %{pypi_name}


%check
%pytest -v


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.* AUTHORS
%license LICENSE
%{_bindir}/sgqlc-codegen


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sandro <devel@penguinpee.nl> - 16.3-2
- Add Packit config

* Thu Jan 11 2024 Sandro <devel@penguinpee.nl> - 16.3-1
- New package (RHBZ#2257914)
## END: Generated by rpmautospec
